import Vue from "vue";
import VueI18n from "vue-i18n";
import locales from "./i18n/";
import VueTouch from "vue-touch";
import * as filters from "mesh-shared/filters/";
import App from "./App.vue";
import { router } from "./route";
import store from "mesh-shared/store/common";
import { Page, Column, Row } from "mesh-common-grid";
import * as OfflinePluginRuntime from "offline-plugin/runtime";

OfflinePluginRuntime.install();

Vue.config.devtools = __ENV__.NODE_ENV !== "production";
// i18n
Vue.use(VueI18n);

Vue.config.lang = "ZH";
const localeKeys = Object.keys(locales);
Vue.config.localeKeys = localeKeys;
localeKeys.forEach(function(lang) 
{
	Vue.locale(lang, locales[lang]);
});

// touch
Vue.use(VueTouch);

// register filters globally
Object.keys(filters).forEach(filter => 
{
	Vue.filter(filter, filters[filter]);
});

// register directive globally

// register global component
Vue.component("Page", Page);
Vue.component("Column", Column);
Vue.component("Row", Row);

new Vue({
	el: "#app",
	render: h => h(App),
	store,
	router
});
