import Vue from 'vue'
import Router from 'vue-router'

import Login from 'mesh-login/src/Login'
import SignIn from 'mesh-login/src/components/SignIn'
import SignUp from 'mesh-login/src/components/SignUp'
import ForgetPass from 'mesh-login/src/components/ForgetPass'
import LoginImgCrop from 'mesh-login/src/components/ImgCrop'
import Upload from './components/Upload'
import SelectAction from './components/SelectAction';
import Export from './components/Export';

// install router
Vue.use(Router)

// routing
export const routes = [{
	path: '/',
	redirect: '/login'
}, {
	path: '/login',
	component: Login,
	meta: {
		showLogo: true,
		permission: 'unauthorized'
	},
	children: [
		{
			path: '/login',
			component: SignIn
		},
		{
			path: '/signup',
			component: SignUp,
			children: [{
				path: 'img',
			component: LoginImgCrop
			}]
		},
		{
			path: '/selectaction',
			component: SelectAction,
		},
		{
			path: '/export',
			component: Export,
		},
		{
			path: '/upload',
			component: Upload
		},
		{
			path: '/forget',
			component: ForgetPass
		}]
}, {
	path: '*',
	redirect: '/'
}]

export const router = new Router({
	mode: 'history',
	base: '/kml',
	routes
})
